# synfig::Layer::BookEntry Struct Reference

`#include <layer.h>`

List of all members.

## Public Member Functions

| BookEntry ()
| BookEntry (Factory factory, const String &name, const String &local_name, const String &category, const String &cvs_id, const String &version)

## Public Attributes

Factory | factory
String | name
String | local_name
String | category
String | cvs_id
String | version

## Constructor & Destructor Documentation

synfig::Layer::BookEntry::BookEntry | ( |  | ) | `[inline]`

synfig::Layer::BookEntry::BookEntry | ( | Factory | factory,
|  | const String & | name,
|  | const String & | local_name,
|  | const String & | category,
|  | const String & | cvs_id,
|  | const String & | version |
| ) |  |  | `[inline]`

## Member Data Documentation

Factory synfig::Layer::BookEntry::factory

String synfig::Layer::BookEntry::name

Referenced by synfig::Layer::register_in_book().

String synfig::Layer::BookEntry::local_name

String synfig::Layer::BookEntry::category

String synfig::Layer::BookEntry::cvs_id

String synfig::Layer::BookEntry::version

The documentation for this struct was generated from the following file:

- layer.h